QGIS Application - Bug report #6867
Editorlayout is not saved in project file for a non-spatial spatialite table
2012-12-12 03:56 PM - Josef Kéllgarden

Status: Closed

Priority: Severe/Regression

Assignee:

Category:

Affected QGIS version:master Regression?: No
Operating System: Ubuntu Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 16000
Description

| can connect a custom form to both a spatial and a non-spatial spatialite table.
But only for the spatial table is the attribute editor layout setting (properties-fields tab) stored in the qgis project file.

| think this is a regression since it earlier was possible to connect a custom form to a non-spatial table and also keep information about
this connection in the qgis project file.

A sample qgis project, spatialite db and custom form is attached. See project file where <editorlayout>uifilelayout</editorlayouts is only
set for the spatial table.

History

#1 - 2013-01-07 08:40 AM - Matthias Kuhn
- Status changed from Open to Resolved

Should be fixed as of https://github.com/qgis/Quantum-GIS/pull/364.

Please reopen if necessary.

#2 - 2013-01-07 08:41 AM - Matthias Kuhn

- Status changed from Resolved to Closed

Files

editorlayouttest.zip 6.38 KB 2012-12-12 Josef Kéllgarden
https://github.com/qgis/Quantum-GIS/pull/364

